<?php


/**
* Google Sitemap Generator.
* @version SVN $Id$
* @package gsg.org
* @author Todd Nine*
* @license Released under the terms of the GNU General Public License
* @abstract This class represends the required methods of a 3PC Implementations.
* Extend this class and override the method below.
**/
class gsgdefault extends GSGExtension{

	/**
	* Get the URLS from the 3PC.
	* @return An array of URLResource objects.
	*/
	function getURLResources() {
		global $database, $mosConfig_live_site, $mosConfig_absolute_path, $gsg_menus, $gsg_url_changefreq, $gsg_url_priority;

		//        echo "Menus: " . $gsg_menus . "<br>";

		$lookup = ereg_replace(",", "','", $gsg_menus);

		//        echo "Lookup: " . $lookup . "<br>";

		$results = array ();

		$query = "SELECT id, menutype, name, link "." FROM #__menu "." WHERE published = 1 "." AND menutype IN ( '".$lookup."')"." ORDER BY id";

		//        echo "query: $query<br>";

		$database->setQuery($query);
		$rows = $database->loadObjectList();

		//    	echo "Iteration 1 size = $size <br>";

		for ($i = 0, $n = count($rows); $i < $n; $i ++) {
			$row = & $rows[$i];

			//create a new object on the stack
			$urlResource = new URLResource();

			//assign all variables
			$urlResource->title = $row->name;
			$urlResource->link = $row->link;
			$urlResource->date = gsg :: showdate(0, 0, 1);
			$urlResource->changeFreq = $gsg_url_changefreq;
			$urlResource->priority = $gsg_url_priority;

			//add the pointer to the array
			$results[] = $urlResource;

		}

		// Getting the content now

		$query2 = "SELECT id, sectionid, title, state, created, modified "."FROM #__content "."WHERE state = 1 ";

		$database->setQuery($query2);
		$content_rows = $database->loadObjectList();

		//       	echo "Iteration 2 size = $size <br>";

		for ($i = 0, $n = count($content_rows); $i < $n; $i ++) {
			$row = & $content_rows[$i];
			$urlResource = new URLResource();

			//set up the joomla/mambo url
			$link_content = "index.php?option=com_content&task=view&sectionid=";
			$link_content .= $row->sectionid;
			$link_content .= "&id=".$row->id;
			//$link_content = $mosConfig_live_site.$link_content;

			$urlResource = new URLResource();
			$urlResource->title = $row->title;
			$urlResource->link = $link_content;
			$urlResource->date = gsg :: showdate($row->created, $row->modified, 0);
			$urlResource->changeFreq = $gsg_url_changefreq;
			$urlResource->priority = $gsg_url_priority;

			//concat to the array
			$results[] = $urlResource;
		}

		return $results;
	}
	
	/**
	 * @return The string description
	 */
	function getDescription() {
		return "Creates the file from the configured menus. This is the default plugin";
	}
		

}
?>


